<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('data_uji', function (Blueprint $table) {
        $table->id();
        $table->string('no')->nullable();
        $table->string('kecamatan')->nullable();
        $table->bigInteger('jumlah_penduduk')->nullable();
        $table->integer('data_tahun')->nullable();
        $table->float('phbs')->nullable();
        $table->float('imunisasi_pcv_1')->nullable();
        $table->float('imunisasi_pcv_2')->nullable();
        $table->float('rata_rata_imunisasi')->nullable();
        $table->float('perilaku_merokok')->nullable();
        $table->float('data_kasus')->nullable();
        $table->string('latitude')->nullable();
        $table->string('longitude')->nullable();
        $table->string('status_prediksi')->nullable();
        $table->integer('prediksi_tahun')->nullable(); // <--- tambahkan ini
        $table->timestamps();
    });
}

public function down()
{
    Schema::dropIfExists('data_uji');
}

};
